                      Computer Science 825
                         Quiz D           Name _______________________

1. Suppose Tomlinson's clock proposal is used with a 16 bit sequence
   number and a clock that ticks 1024 times a second. Suppose maximum
   packet lifetime is 9 seconds.

   a. What is the MINIMUM amount of time that can elapse before
      sequence number resynchronization must occur.














   b. How often will synchronization be needed if a packet is generated
      every 8 ticks (8 / 1024 seconds).














   c. Suppose the bit transmission rate is 2^20 bits per second
      and that all packets are the same size.  What is the minimum
      packet size that permits full channel untilization WITHIN THE
      CONSTRAINTS IMPOSED BY TOMLINSONS algorithm.






2. Which of the following following techniques was NOT suggested
   as a possible mechanism for addressing the delayed duplicate problem.

   a. Associate an incarntation      b. Use a unique transport connection
      number with each session.         addresses for each new session.

   c. Try to constrain the lifetime  d. Always use sequence number 0 when
      of all packets in the network.    starting a new session so that there
                                        can be no ambiguity at session start.

Suppose a 3 way handshake is being used to establish a connection.
Let SYN-1 represent a packet that carries SYN and no ack.
Let SYN-2 represent a packet that carries both SYN and ACK that is
sent in response to a SYN.

3. A delayed duplicate SYN2  received in the SYN-sent state is
   detected because:

   a. The SEQ number is wrong.   b. The ACK number is wrong.

   c. Both SEQ and ACK are       d. SYN2 is an unexpected packet
      known to be wrong.            in the SYN sent state.

4. A delayed duplicate SYN2 received in the CLOSED / LISTEN state is
   detected because:

   a. The SEQ number is wrong.   b. The ACK number is wrong.

   c. Both SEQ and ACK are       d. SYN2 is an unexpected packet
      known to be wrong.            in the CLOSED/LISTEN State.

5. A delayed duplicate SYN1 received in the ESTABLISHED state is:

   a. Responded to with RESET.   b. Responded to with a data packet
                                    specifying current ACK and SEQ.

   c. Responded to with SYN2     d. Always causes TCP to crash.


6. The ISO defined 5 classes of Transport protocol. Class 0 was really
   dumb and just attempted to pass packets up and down. At the other
   end of the spectrum Class 4 was like TCP and performed every sort of
   recovery known to man.  What were the two services provided by
   the classes 1 and 2. (Class 3 performed both.)

   a.


   b.

